Bug 131064 - Unable to load chinput LE by default in zh_CN
Unable to load chinput LE by default in zh_CN
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iiimf-le-chinput (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-08-27 00:09 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 02:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-08-27 00:09:27 EDT
Description of problem:
The following command needs to be included in the spec file 
%post
iiimf-le-tools --install /usr/lib/im/leif/chinput.so --default
--remove command have to be done in %preun

in order to /etc/iiim/le.xml.conf so that LE can be loaded in the
zh_CN locale.

Version-Release number of selected component (if applicable):
1) im-sdk 12.0.1-1
2) iiimf-le-chinput-0.3-5

How reproducible:
Always

Steps to Reproduce:
1.at gdm, select zh_CN locale
2.log in to either KDE or GNOME
3.
  
Actual results:
Unable to load chinput LE in the zh_CN locale.

Expected results:
Should be able to use chinput LE in the zh_CN locale.

Additional info:
Affect both KDE and GNOME
Comment 1 Yu Shao 2004-09-06 21:37:47 EDT
do we have to run iiimf-le-tools for any LE included? has
iiimf-le-tools been included into upstream?
Comment 2 Akira TAGOH 2004-09-07 03:52:28 EDT
Yes, and No, not yet.
Comment 3 Yu Shao 2004-09-07 08:45:51 EDT
adding iiimf-le-tools would be a important feature addition, can we
get the formal approval from upstream then make any necessary update
to accommodate it? otherwise it will cause incompatibility. 
Comment 4 Akira TAGOH 2004-09-08 03:52:43 EDT
Right. I know. now discussing about it with upstream you know.

Note You need to log in before you can comment on or make changes to this bug.